Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 254)
+++ trunk/client/modules/Elezioni/index.php	(revision 265)
@@ -24,8 +24,14 @@
 if (isset($param['id_cons_gen'])) $id_cons_gen=intval($param['id_cons_gen']); else 
 {
-        $res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-        list($id_cons_pred)=mysql_fetch_row($res);
-        $res = mysql_query("SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons_pred' ", $dbi);
-        list($id_cons_gen)=mysql_fetch_row($res);
+        $sql="SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+        list($id_cons_pred)=$res->fetch(PDO::FETCH_NUM);
+        $sql="SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons_pred' ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+        list($id_cons_gen)=$res->fetch(PDO::FETCH_NUM);
 }       
 if (isset($param['op'])) $op=$param['op']; else $op='';
@@ -62,10 +68,15 @@
 $ordine=htmlentities($ordine); 
 
-$res = mysql_query("SELECT id_conf FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" , $dbi);
-list($hondt) = mysql_fetch_row($res);
+$sql="SELECT id_conf FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+list($hondt) = $res->fetch(PDO::FETCH_NUM);
 
 $sql = "SELECT t3.genere,t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune=$id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.chiusa!='2' ";
-$res = mysql_query("$sql",$dbi);
-$tot=mysql_num_rows($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+$tot=$res->rowCount();
 if ($tot>0 and $id_cons_gen>0) {
 	$sql = "SELECT t3.genere,t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune=$id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.chiusa!='2'";
@@ -73,28 +84,48 @@
 	$sql = "SELECT t3.genere,t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune=$id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.chiusa!='2' order by t1.data_fine desc limit 0,1 ";
 }
-$res = mysql_query("$sql",$dbi);
-if ($res) list($genere,$tipo_cons,$descr_cons,$id_cons_gen) = mysql_fetch_row($res);
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+if ($res) list($genere,$tipo_cons,$descr_cons,$id_cons_gen) = $res->fetch(PDO::FETCH_NUM);
 
 if ($tipo_cons!=3) $limite=0;
 
-$res = mysql_query("SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($id_cons) = mysql_fetch_row($res);
-
-$res = mysql_query("SELECT t1.descrizione, t1.tipo_cons, t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1,".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
-list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
+$sql="SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($id_cons) = $res->fetch(PDO::FETCH_NUM);
+
+$sql="SELECT t1.descrizione, t1.tipo_cons, t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1,".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = $res->fetch(PDO::FETCH_NUM);
 
 // esiste consultazione e toglie blocco nel caso non esista
-$res = mysql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" , $dbi); 
-	$esiste_cons=mysql_num_rows($res);
+$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+ 
+	$esiste_cons=$res->rowCount();
 	if($esiste_cons<='0')$blocco=0;
 
 //carica limite e fascia per il comune
-$res = mysql_query("SELECT limite FROM ".$prefix."_ele_conf where id_conf='$hondt'" , $dbi);
-list($limite) = mysql_fetch_row($res);
-$res = mysql_query("SELECT id_fascia FROM ".$prefix."_ele_cons_comune where id_comune='$id_comune' and id_cons='$id_cons'", $dbi);
-list($fascia) = mysql_fetch_row($res);
+$sql="SELECT limite FROM ".$prefix."_ele_conf where id_conf='$hondt'" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+list($limite) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT id_fascia FROM ".$prefix."_ele_cons_comune where id_comune='$id_comune' and id_cons='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+list($fascia) = $res->fetch(PDO::FETCH_NUM);
 if(!$id_circ){		
-$res = mysql_query("SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons limit 0,1 order num_circ asc' ", $dbi);
-list($id_circ) = mysql_fetch_row($res);
+$sql="SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons limit 0,1 order num_circ asc' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+list($id_circ) = $res->fetch(PDO::FETCH_NUM);
 }
 
@@ -102,6 +133,9 @@
 if ($rss!=1   && $xls!=1 && $pdf!=1){ 
     $index = 1;
-	$res = mysql_query("SELECT descrizione,simbolo FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-	list($descr_com,$simbolo) = mysql_fetch_row($res);
+	$sql="SELECT descrizione,simbolo FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($descr_com,$simbolo) = $res->fetch(PDO::FETCH_NUM);
         $descr_com =stripslashes($descr_com); 
 	# titolo pagina 2015
@@ -129,5 +163,8 @@
 			if ($circo){ // elenco per scelta circoscrizione
 				echo "</td></tr><tr><td></td><td  class=\"bggray\"><table class=\"table-80\"><tr><td class=\"table-main\"><form id=\"circo\" method=\"post\" action=\"modules.php\">";
-				$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
+				$sql="SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons";
+	$res_sez = $dbi->prepare("$sql");
+	$res_sez->execute();
+
 				$pop=$op;
 				if($pop=='partiti') $pop='gruppo';
@@ -135,5 +172,5 @@
 				echo ""._SCELTA_CIR.":<b> 
 				<select name=\"id_circ\" class=\"blu\" onChange=\"top.location.href=this.form.pagina.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
-				while(list($id_rif,$descrizione,$num_cir)=mysql_fetch_row($res_sez)) {
+				while(list($id_rif,$descrizione,$num_cir)=$res_sez->fetch(PDO::FETCH_NUM)) {
 					if (!$id_circ) $id_circ=$id_rif;
 					$sel = ($id_rif == $id_circ) ? "selected=\"selected\"" : "";
@@ -187,9 +224,12 @@
 
     global  $user, $admin, $cookie, $textcolor2, $prefix, $dbi;
-     $result = mysql_query("select mid, title, preamble, content,editimage from ".$prefix."$tab where id_cons='$id_cons' order by mid ", $dbi);
-    if (mysql_num_rows($result) == 0) {
+     $sql="select mid, title, preamble, content,editimage from ".$prefix."$tab where id_cons='$id_cons' order by mid ";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+
+    if ($result->rowCount() == 0) {
 	return;
     } else {
-	while (list($mid, $title, $preamble,$content,  $editimage) = mysql_fetch_row($result)) {
+	while (list($mid, $title, $preamble,$content,  $editimage) = $result->fetch(PDO::FETCH_NUM)) {
   	if ($title != "" && $preamble != "") {
                
@@ -230,10 +270,19 @@
 	global $admin, $prefix, $dbi, $offset, $votog, $votol, $votoc, $min,$id_cons,$tipo_cons,$descr_cons,$id_cons_gen,$id_comune,$genere,$id_circ;
 	
-	$res = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ",$dbi);
-	$ressede = mysql_query("select * from ".$prefix."_ele_sede where id_cons='$id_cons' ",$dbi);
-	$res3 = mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ",$dbi);
-	$circo = mysql_num_rows($res);
-	$sedi = mysql_num_rows($ressede);
-	$sez = mysql_num_rows($res3);
+	$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sql="select * from ".$prefix."_ele_sede where id_cons='$id_cons' ";
+	$ressede = $dbi->prepare("$sql");
+	$ressede->execute();
+
+	$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ";
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+
+	$circo = $res->rowCount();
+	$sedi = $ressede->rowCount();
+	$sez = $res3->rowCount();
 		
 	echo "<div><b>"._DATIG."</b></div> ";
@@ -254,6 +303,9 @@
 	
 	// camera e senato con raggruppamenti
-	 $res3 = mysql_query("select * from ".$prefix."_ele_lista where id_cons='$id_cons' ",$dbi);
-     $liste = mysql_num_rows($res3);
+	 $sql="select * from ".$prefix."_ele_lista where id_cons='$id_cons' ";
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+
+     $liste = $res3->rowCount();
 	if($liste and $genere!=4){
 	 echo "<td><b><a href=\"modules.php?name=Elezioni&amp;op=liste&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune\">"._LISTE."</a></b></td>";
@@ -267,19 +319,26 @@
 	if ($genere>0 and !$votoc){
 		echo "<td><b><a href=\"modules.php?name=Elezioni&amp;op=candi&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune\">"._CANDIDATI."</a></b></td>";
-		$res1 = mysql_query("select id_cons from ".$prefix."_ele_candidati where id_cons='$id_cons' ",$dbi);
-		$candi = mysql_num_rows($res1);
+		$sql="select id_cons from ".$prefix."_ele_candidati where id_cons='$id_cons' ";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+
+		$candi = $res1->rowCount();
 	}
 	// se non europee (non liste e candidati)
 	if ($genere!=4){
-		$res2 = mysql_query("select id_cons from ".$prefix."_ele_gruppo where id_cons='$id_cons' ",$dbi);
+		$sql="select id_cons from ".$prefix."_ele_gruppo where id_cons='$id_cons' ";
 	}else{
-		$res2 = mysql_query("select id_cons from ".$prefix."_ele_lista where id_cons='$id_cons' ",$dbi);
+		$sql="select id_cons from ".$prefix."_ele_lista where id_cons='$id_cons' ";
 	}
-	
-	$gruppo = mysql_num_rows($res2);
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+	$gruppo = $res2->rowCount();
         
 	if($circo==1) $circo=$sedi;
-	$res4 = mysql_query("select sum(maschi),sum(femmine), sum(maschi+femmine)  from ".$prefix."_ele_sezioni where id_cons=$id_cons", $dbi);
- 	if($res4) list($maschi,$femmine,$tot) = mysql_fetch_row($res4);
+	$sql="select sum(maschi),sum(femmine), sum(maschi+femmine)  from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+	$res4 = $dbi->prepare("$sql");
+	$res4->execute();
+
+ 	if($res4) list($maschi,$femmine,$tot) = $res4->fetch(PDO::FETCH_NUM);
  	echo "</tr><tr class=\"bggray2\">"
 
@@ -310,6 +369,9 @@
 /*****************************************************/
     global $admin, $prefix, $dbi, $offset, $min,$id_cons,$file,$id_cons_gen,$id_comune ,$prev,$next;
-    $res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ", $dbi);
-    $max = mysql_num_rows($res);
+    $sql="SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+    $max = $res->rowCount();
     
     //OpenTable();
@@ -322,7 +384,10 @@
     $go="circo";
     
-    $result = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ 
-    LIMIT $min,$offset", $dbi);
-$numcirc=mysql_num_rows($result);
+    $sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ 
+    LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+
+$numcirc=$result->rowCount();
 if ($numcirc>1){
   	echo "<div><b>"._CIRCS."</b></div><br /><br />
@@ -339,5 +404,5 @@
 }
      
-	while(list($id_cons2,$id_circ,$num_circ,$descr_circ) = mysql_fetch_row($result)) {
+	while(list($id_cons2,$id_circ,$num_circ,$descr_circ) = $result->fetch(PDO::FETCH_NUM)) {
 #if($numcirc==1) {$descr_circ=''; $num_circ='';}
      	if (!($num_circ===0)) {
@@ -351,7 +416,10 @@
        
        // dati sede
-		$result1 = mysql_query("select id_sede,indirizzo,telefono1,telefono2, mappa, filemappa from ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ'", $dbi);
-		$righe=mysql_num_rows($result1);$i=0;
-        	while(list($id_sede,$indir,$tel1,$tel2,$mappa,$filemappa)=mysql_fetch_row($result1)){
+		$sql="select id_sede,indirizzo,telefono1,telefono2, mappa, filemappa from ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ'";
+		$result1 = $dbi->prepare("$sql");
+		$result1->execute();
+
+		$righe=$result1->rowCount();$i=0;
+        	while(list($id_sede,$indir,$tel1,$tel2,$mappa,$filemappa)=$result1->fetch(PDO::FETCH_NUM)){
 		
         	$i++;
@@ -399,8 +467,14 @@
   if (!isset($id_circ)) $id_circ=0;
  $go="sezione";
- $res2 = mysql_query("SELECT descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'", $dbi);
-	$numcirc = mysql_num_rows($res2);
-$res2 = mysql_query("SELECT descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' AND id_circ='$id_circ' ", $dbi);
-	list($descr_circ) = mysql_fetch_row($res2);
+ $sql="SELECT descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+
+	$numcirc = $res2->rowCount();
+$sql="SELECT descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' AND id_circ='$id_circ' ";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+
+	list($descr_circ) = $res2->fetch(PDO::FETCH_NUM);
 if($numcirc>1){
    echo "<div><b>"._SEZIONI." "; 
@@ -422,19 +496,31 @@
     if ($id_circ) { 
 	
-    	$res1  = mysql_query("SELECT id_sede FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ' ", $dbi);
+    	$sql="SELECT id_sede FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ' ";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+
     	//$max = mysql_num_rows($res);
         $i=0;// n. sezioni x circo
-    	while(list($id_sede) = mysql_fetch_row($res1)){
+    	while(list($id_sede) = $res1->fetch(PDO::FETCH_NUM)){
 	
        		$circos=" AND id_sede='$id_sede'";
-    		$res = mysql_query("SELECT * FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ", $dbi);
+    		$sql="SELECT * FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
     		//$tot_sez = mysql_num_rows($res);
-   		$result = mysql_query("select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ORDER BY num_sez  LIMIT $min,$offset", $dbi);
+   		$sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ORDER BY num_sez  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+
     		
-		while(list($id_cons2,$id_sez,$id_sede,$num_sez, $maschi, $femmine) = mysql_fetch_row($result)) {
+		while(list($id_cons2,$id_sez,$id_sede,$num_sez, $maschi, $femmine) = $result->fetch(PDO::FETCH_NUM)) {
         		// dati circoscrizione
 			$i++;
-			$result1 = mysql_query("select indirizzo from ".$prefix."_ele_sede where id_sede='$id_sede'", $dbi);
-        		list($indir)=mysql_fetch_row($result1);
+			$sql="select indirizzo from ".$prefix."_ele_sede where id_sede='$id_sede'";
+	$result1 = $dbi->prepare("$sql");
+	$result1->execute();
+
+        		list($indir)=$result1->fetch(PDO::FETCH_NUM);
         		
 			$totali=$maschi+$femmine;
@@ -460,13 +546,22 @@
     if ($id_sede) $circos=" AND id_sede='$id_sede'";
      
-    $res = mysql_query("SELECT * FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ", $dbi);
-    $max = mysql_num_rows($res);
-    $result = mysql_query("select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ORDER BY num_sez  LIMIT $min,$offset", $dbi);
+    $sql="SELECT * FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+    $max = $res->rowCount();
+    $sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ORDER BY num_sez  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+
     
-    while(list($id_cons2,$id_sez,$id_sed,$num_sez, $maschi, $femmine) = mysql_fetch_row($result)) {
+    while(list($id_cons2,$id_sez,$id_sed,$num_sez, $maschi, $femmine) = $result->fetch(PDO::FETCH_NUM)) {
         
 	// dati circoscrizione
-	$result1 = mysql_query("select indirizzo from ".$prefix."_ele_sede where id_sede='$id_sed'", $dbi);
-        list($indir)=mysql_fetch_row($result1);
+	$sql="select indirizzo from ".$prefix."_ele_sede where id_sede='$id_sed'";
+	$result1 = $dbi->prepare("$sql");
+	$result1->execute();
+
+        list($indir)=$result1->fetch(PDO::FETCH_NUM);
         $totali=$maschi+$femmine;
 	$totali_t=$totali_t+$totali;
@@ -514,28 +609,49 @@
 	if($circo){
 		if(!$id_circ){
-		$res = mysql_query("select id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' limit 0,1", $dbi);
-		list($id_circ)=mysql_fetch_row($res);
+		$sql="select id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' limit 0,1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+		list($id_circ)=$res->fetch(PDO::FETCH_NUM);
 		}
-		 $res = mysql_query("select t1.id_sez,sum(t1.voti)  from ".$prefix."_ele_voti_$tab as t1, ".$prefix."_ele_$tab as t2 where t1.id_$tab=t2.id_$tab and t1.id_cons='$id_cons' and t2.id_circ='$id_circ' group by t1.id_sez", $dbi);	
-	}else $res = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  group by id_sez ",$dbi);
-	$numero=mysql_num_rows($res);
+		 $sql="select t1.id_sez,sum(t1.voti)  from ".$prefix."_ele_voti_$tab as t1, ".$prefix."_ele_$tab as t2 where t1.id_$tab=t2.id_$tab and t1.id_cons='$id_cons' and t2.id_circ='$id_circ' group by t1.id_sez";
+	}else $sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$numero=$res->rowCount();
 	if($circo) $circos="and id_circ='$id_circ'"; else $circos='';
 	
-	if($circo) $res = mysql_query("select *  from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_sede=t2.id_sede and t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
-	else $res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
-	$sezioni=mysql_num_rows($res);
+	if($circo) $sql="select *  from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_sede=t2.id_sede and t1.id_cons='$id_cons' and t2.id_circ=$id_circ";
+	else $sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sezioni=$res->rowCount();
 	if ($numero!=0) {
 #	echo "<div><h2>"._SEZSCRU." $numero "._SU." $sezioni</h2></div>";
 
 	####################### inserimento scrutinio in percentuale -- per i gruppi
-	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE validi <>0 AND id_cons ='$id_cons'",$dbi);
-	$NicolaSezScrut = mysql_fetch_row($NicolaSez);
-	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE id_cons ='$id_cons'",$dbi);
-	$NicolaSezTot = mysql_fetch_row($NicolaSez);
-	
-		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
-		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
-		list($totschede)=mysql_fetch_row($resperc);
+	$sql="SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE validi <>0 AND id_cons ='$id_cons'";
+	$resn = $dbi->prepare("$sql");
+	$resn->execute();
+
+	$NicolaSezScrut = $resn->fetch(PDO::FETCH_NUM);
+	$sql="SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE id_cons ='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$NicolaSezTot = $resn->fetch(PDO::FETCH_NUM);
+	
+		$sql="select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$resperc = $dbi->prepare("$sql");
+	$resperc->execute();
+
+		list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
+		$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ";
+	$resperc = $dbi->prepare("$sql");
+	$resperc->execute();
+
+		list($totschede)=$resperc->fetch(PDO::FETCH_NUM);
 		if($totschede)
 		$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
@@ -550,7 +666,10 @@
 	####################### inserimento scrutinio in percentuale -- per le liste
 	if ($genere>2 && $fascia>$limite){
-		if($votog or $genere==4) $resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-        else $resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+		if($votog or $genere==4) $sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+        else $sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+		$resperc = $dbi->prepare("$sql");
+		$resperc->execute();
+
+		list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
 #		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez in (select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez)  group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
 #		list($totschede)=mysql_fetch_row($resperc);
@@ -609,36 +728,50 @@
 
 	      
-		$res_num_list = mysql_query("select t1.id_sez,sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1, ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' $circol group by t1.id_sez",$dbi);
+		$sql="select t1.id_sez,sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1, ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' $circol group by t1.id_sez";
+	$res_num_list = $dbi->prepare("$sql");
+	$res_num_list->execute();
+
         	//$res_num_list = mysql_query("select *  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' group by id_sez ",$dbi);
-		$numero_l=mysql_num_rows($res_num_list);
+		$numero_l=$res_num_list->rowCount();
 		// verifica delle sezioni in relazione ai candidati (comuni >=15000)  non c'e' il voto di lista e quindi ci metto se scrutinate le preferenze sulla lista [$numero_c] - 5/5/2009
-		$res_num_list = mysql_query("select *  from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_sez ",$dbi);
-		$numero_c=mysql_num_rows($res_num_list);
+		$sql="select *  from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_sez ";
+	$res_num_list = $dbi->prepare("$sql");
+	$res_num_list->execute();
+
+		$numero_c=$res_num_list->rowCount();
       
 		$sezioni_l=$sezioni;
 		
 		
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circos ", $dbi);
-    		$max = mysql_num_rows($res);
-		
-		$t_circos="";
-		if (!$votog){
-                if ($circo) $t_circos=" and t2.id_circ='$id_circ'"; 
-		$res_pres_tutti = mysql_query("select sum(t1.voti)  from ".$prefix."_ele_voti_gruppo as t1 , ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' $t_circos ", $dbi);
-		// sommatoria dei voti di lista per camera e senato dal 2006 per coalizioni-->byluc 
-		}else{ 
-		$res_pres_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-		}
-		
-		list($voti_pres_tutti) = mysql_fetch_row($res_pres_tutti);
+		$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$max = $res->rowCount();		
+	$t_circos="";
+	if (!$votog){
+		if ($circo) $t_circos=" and t2.id_circ='$id_circ'"; 
+		$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_gruppo as t1 , ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' $t_circos ";
+
+	// sommatoria dei voti di lista per camera e senato dal 2006 per coalizioni-->byluc 
+	}else{ 
+		$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+	}
+	$res_pres_tutti = $dbi->prepare("$sql");
+	$res_pres_tutti->execute();
+		
+		list($voti_pres_tutti) = $res_pres_tutti->fetch(PDO::FETCH_NUM);
 ######gestione percentuali
 		$arval=array();$arperc=array();
 			if ($genere>0){ // no referendum 
 				if (!$votog){ // no camere e senato per coalizioni 
-					$res_presidente = mysql_query("select sum(t1.voti),t1.id_gruppo from ".$prefix."_ele_voti_gruppo as t1 , ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' $t_circos   group by id_gruppo", $dbi);
+					$sql="select sum(t1.voti),t1.id_gruppo from ".$prefix."_ele_voti_gruppo as t1 , ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' $t_circos   group by id_gruppo";
+
 				}else{ // sommatoria voti lista per coalizione per camere e senato
-					$res_presidente = mysql_query("select sum(t1.voti),t2.id_gruppo  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' $t_circos group by t2.id_gruppo", $dbi);
+					$sql="select sum(t1.voti),t2.id_gruppo  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' $t_circos group by t2.id_gruppo";
 				}
-    			while(list($voti_pres,$id_gruppo2) = mysql_fetch_row($res_presidente)) {
+			$res_presidente = $dbi->prepare("$sql");
+			$res_presidente->execute();
+   			while(list($voti_pres,$id_gruppo2) = $res_presidente->fetch(PDO::FETCH_NUM)) {
     				$arval[$id_gruppo2]=$voti_pres;
     			}
@@ -647,6 +780,9 @@
     		}
 #######		
-		$result = mysql_query("select id_cons ,id_gruppo ,num_gruppo, descrizione, prognome from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circos ORDER BY num_gruppo  LIMIT $min,$offset", $dbi);
-		while(list($id_cons2,$id_gruppo2,$num_gruppo, $descr_gruppo,$prognome) = mysql_fetch_row($result)) {
+		$sql="select id_cons ,id_gruppo ,num_gruppo, descrizione, prognome from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circos ORDER BY num_gruppo  LIMIT $min,$offset";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
+
+		while(list($id_cons2,$id_gruppo2,$num_gruppo, $descr_gruppo,$prognome) = $result->fetch(PDO::FETCH_NUM)) {
   		   if ($num_gruppo!=0) {
 	           echo "<table  class=\"table-80\">
@@ -660,10 +796,11 @@
 			if ($genere>0){ // no referendum 
 				if (!$votog){ // no camere e senato per coalizioni 
-					$res_presidente = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_gruppo  where id_cons='$id_cons' and id_gruppo='$id_gruppo2'", $dbi);
-				
+					$sql="select sum(voti)  from ".$prefix."_ele_voti_gruppo  where id_cons='$id_cons' and id_gruppo='$id_gruppo2'";
 				}else{ // sommatoria voti lista per coalizione per camere e senato
-					$res_presidente = mysql_query("select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_gruppo='$id_gruppo2'", $dbi);
+					$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_gruppo='$id_gruppo2'";
 				}
-				list($voti_pres) = mysql_fetch_row($res_presidente);
+				$res_presidente = $dbi->prepare("$sql");
+				$res_presidente->execute();
+				list($voti_pres) = $res_presidente->fetch(PDO::FETCH_NUM);
 				
 				if ($voti_pres_tutti!=0){
@@ -675,18 +812,30 @@
 			
 			}else{ //referendum
-				$res_ref = mysql_query("select sum(si),sum(no),sum(validi),sum(bianchi),sum(nulli),sum(contestati)   from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_gruppo='$id_gruppo2'", $dbi);
-		 		list($voti_si,$voti_no,$validi,$bianchi,$nulli,$conte) = mysql_fetch_row($res_ref);
-				
-				
-				$aff=mysql_query("select t3.orario,t3.data from ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_cons_comune as t2 on t1.id_cons_gen=t2.id_cons_gen left join ".$prefix."_ele_voti_parziale as t3 on t2.id_cons=t3.id_cons where t1.id_cons_gen='$id_cons_gen' and t2.id_cons='$id_cons' order by t3.data desc, t3.orario desc limit 0,1", $dbi);
-				list($ora,$data) = mysql_fetch_row($aff);
-				
-				$tot_rel =mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'", $dbi);
-				list($tot_relativo) = mysql_fetch_row($tot_rel);
+				$sql="select sum(si),sum(no),sum(validi),sum(bianchi),sum(nulli),sum(contestati)   from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_gruppo='$id_gruppo2'";
+				$res_ref = $dbi->prepare("$sql");
+				$res_ref->execute();
+
+		 		list($voti_si,$voti_no,$validi,$bianchi,$nulli,$conte) = $res_ref->fetch(PDO::FETCH_NUM);
+				
+				
+				$sql="select t3.orario,t3.data from ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_cons_comune as t2 on t1.id_cons_gen=t2.id_cons_gen left join ".$prefix."_ele_voti_parziale as t3 on t2.id_cons=t3.id_cons where t1.id_cons_gen='$id_cons_gen' and t2.id_cons='$id_cons' order by t3.data desc, t3.orario desc limit 0,1";
+				$aff = $dbi->prepare("$sql");
+				$aff->execute();
+
+				list($ora,$data) = $aff->fetch(PDO::FETCH_NUM);
+				
+				$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'";
+				$tot_rel = $dbi->prepare("$sql");
+				$tot_rel->execute();
+
+				list($tot_relativo) = $tot_rel->fetch(PDO::FETCH_NUM);
 				
 				
 				// totale assoluto
-				$tot_ass =mysql_query("select sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
-				list($tot_assoluto) = mysql_fetch_row($tot_ass);
+				$sql="select sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+				$tot_ass = $dbi->prepare("$sql");
+				$tot_ass->execute();
+
+				list($tot_assoluto) = $tot_ass->fetch(PDO::FETCH_NUM);
 				  // controlli del 15 giugno 2009 
 				if($tot_assoluto)
@@ -750,11 +899,17 @@
 			
 			echo "<table class=\"table-80\"><tr>";
-			$result2 = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo2'  ORDER BY num_lista " , $dbi);
+			$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo2'  ORDER BY num_lista " ;
+			$result2 = $dbi->prepare("$sql");
+			$result2->execute();
+
 			$i=0;
-			while(list($id_cons2,$id_lista2,$num_lista, $descr_lista) = mysql_fetch_row($result2)) {
+			while(list($id_cons2,$id_lista2,$num_lista, $descr_lista) = $result2->fetch(PDO::FETCH_NUM)) {
   				if ($num_lista!=0) {
 			
-				$res_lista = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista2'", $dbi);
-		 		list($voti_lista) = mysql_fetch_row($res_lista);
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista2'";
+	$res_lista = $dbi->prepare("$sql");
+	$res_lista->execute();
+
+		 		list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
 			
 				
@@ -763,9 +918,15 @@
 					$voti_lista_tutti='';
 					
-					$res_circ = mysql_query("select id_lista from ".$prefix."_ele_lista where id_circ='$id_circ'", $dbi);
-		 			while(list($lista_id) = mysql_fetch_row($res_circ)){
+					$sql="select id_lista from ".$prefix."_ele_lista where id_circ='$id_circ'";
+	$res_circ = $dbi->prepare("$sql");
+	$res_circ->execute();
+
+		 			while(list($lista_id) = $res_circ->fetch(PDO::FETCH_NUM)){
 					
-					  $res_circ_voti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_lista='$lista_id'", $dbi);
-					  list($voti) = mysql_fetch_row($res_circ_voti);
+					  $sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_lista='$lista_id'";
+	$res_circ_voti = $dbi->prepare("$sql");
+	$res_circ_voti->execute();
+
+					  list($voti) = $res_circ_voti->fetch(PDO::FETCH_NUM);
 					 $voti_lista_tutti=$voti_lista_tutti+$voti;
 					  //	
@@ -775,6 +936,9 @@
 				
 				// tutti 
-					$res_lista_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-					list($voti_lista_tutti) = mysql_fetch_row($res_lista_tutti);
+					$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+	$res_lista_tutti = $dbi->prepare("$sql");
+	$res_lista_tutti->execute();
+
+					list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
 				}
 				
@@ -817,19 +981,30 @@
 	}else{
 		// tot liste
-		$res = mysql_query("SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circos ", $dbi);
-    		$max = mysql_num_rows($res);
+		$sql="SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circos ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+    		$max = $res->rowCount();
 		
 		// tot voti liste
-		if($circo)$res_lista_tutti = mysql_query("select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1, ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_circ='$id_circ'", $dbi);
-		else $res_lista_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-		
-		list($voti_lista_tutti) = mysql_fetch_row($res_lista_tutti);
-		
-    		$result = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' $circos ORDER BY num_lista  LIMIT $min,$offset", $dbi);
-		while(list($id_cons2,$id_lista,$num_lista, $descr_lista) = mysql_fetch_row($result)) {
+		if($circo) $sql="select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1, ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_circ='$id_circ'";
+		else $sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+		$res_lista_tutti = $dbi->prepare("$sql");
+		$res_lista_tutti->execute();
+		
+		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
+		
+		$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' $circos ORDER BY num_lista  LIMIT $min,$offset";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
+
+		while(list($id_cons2,$id_lista,$num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM)) {
   		if ($num_lista!=0) {
 		// voti lista
-		$res_lista = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'", $dbi);
-		list($voti_lista) = mysql_fetch_row($res_lista);
+		$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'";
+		$res_lista = $dbi->prepare("$sql");
+		$res_lista->execute();
+
+		list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
 		if($voti_lista_tutti)
 			$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,5);
@@ -871,6 +1046,9 @@
   
   		if ($circo==1){
-		 $res_circ = mysql_query("select descrizione,num_circ  from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'", $dbi);
-		 list($descr_circ,$num_circ)=mysql_fetch_row($res_circ);
+		 $sql="select descrizione,num_circ  from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'";
+	$res_circ = $dbi->prepare("$sql");
+	$res_circ->execute();
+
+		 list($descr_circ,$num_circ)=$res_circ->fetch(PDO::FETCH_NUM);
 		 if($num_circ) echo "<center><h1>"._CIRC_N." $num_circ: $descr_circ</h1>";
 		 # numero sezioni
@@ -879,6 +1057,9 @@
 		 
 		 if ($genere!=4){
-		  $res_gruppo = mysql_query("select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-		 list($descr_gruppo)=mysql_fetch_row($res_gruppo);
+		  $sql="select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$res_gruppo = $dbi->prepare("$sql");
+	$res_gruppo->execute();
+
+		 list($descr_gruppo)=$res_gruppo->fetch(PDO::FETCH_NUM);
 		
 		 }
@@ -887,8 +1068,14 @@
                 if ($circo!=1){
   			if ($votog) {$tab="lista";}else{$tab="candidati";}
-			$res1 = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' group by id_sez ",$dbi);
+			$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' group by id_sez ";
+			$resl = $dbi->prepare("$sql");
+			$resl->execute();
+
 			$numero=mysql_num_rows($res1);
-			$res2 = mysql_query("select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-			list($sezioni)=mysql_fetch_row($res2);
+			$sql="select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+			$res2 = $dbi->prepare("$sql");
+			$res2->execute();
+
+			list($sezioni)=$res2->fetch(PDO::FETCH_NUM);
 		}
   
@@ -901,7 +1088,10 @@
 		 //$result = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
 		 	
-    		$result = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
-		
-		list($id_cons2,$id_lista,$num_lista, $descr_lista) = mysql_fetch_row($result);
+    		$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_lista='$id_lista'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();
+
+		
+		list($id_cons2,$id_lista,$num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM);
 		
 		
@@ -923,14 +1113,20 @@
   		// candidati con voti ottenuti
 		
-		$res_candi = mysql_query("SELECT t1.id_cand , t1.cognome, t1.nome, t1.num_cand, t2.id_cand, sum(t2.voti) as somma  FROM ".$prefix."_ele_candidati as t1 , ".$prefix."_ele_voti_candidati as t2
-		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand order by somma desc" , $dbi);
+		$sql="SELECT t1.id_cand , t1.cognome, t1.nome, t1.num_cand, t2.id_cand, sum(t2.voti) as somma  FROM ".$prefix."_ele_candidati as t1 , ".$prefix."_ele_voti_candidati as t2
+		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand order by somma desc" ;
+		$res_candi = $dbi->prepare("$sql");
+		$res_candi->execute();
+
   		//$res_candi = mysql_query("SELECT id_cand , cognome, nome, num_cand  FROM ".$prefix."_ele_candidati 
 		//where id_lista='$id_lista'  and id_cons='$id_cons order by num_cand" , $dbi);
-		$num_candi=mysql_num_rows($res_candi);
+		$num_candi=$res_candi->rowCount();
 	        if (!$num_candi) {
-		$res_candi = mysql_query("SELECT id_cand , cognome, nome, num_cand  FROM ".$prefix."_ele_candidati 
-		where id_lista='$id_lista'  and id_cons='$id_cons' order by num_cand" , $dbi);
+		$sql="SELECT id_cand , cognome, nome, num_cand  FROM ".$prefix."_ele_candidati 
+		where id_lista='$id_lista'  and id_cons='$id_cons' order by num_cand" ;
+		$res_candi = $dbi->prepare("$sql");
+		$res_candi->execute();
+
 		echo "<tr bgcolor=\"#EAEAEA\"><td >"._NUM."</td><td>"._CANDIDATO."</td></tr>";
-		while(list($id_cand,$cognome,$nome, $num) = mysql_fetch_row($res_candi)) {
+		while(list($id_cand,$cognome,$nome, $num) = $res_candi->fetch(PDO::FETCH_NUM)) {
 			
 			echo "<tr><td>[ $num ]</td><td> $cognome $nome</td>";
@@ -938,5 +1134,5 @@
 		}else{	
 		echo "<tr bgcolor=\"#EAEAEA\"><td >"._NUM."</td><td>"._CANDIDATO."</td><td>"._PREFERENZE."</td></tr>";
-		while(list($id_cand,$cognome,$nome, $num,$id_cand, $somma) = mysql_fetch_row($res_candi)) {
+		while(list($id_cand,$cognome,$nome, $num,$id_cand, $somma) = $res_candi->fetch(PDO::FETCH_NUM)) {
 			
 			echo "<tr><td>[ $num ]</td><td>
@@ -965,10 +1161,19 @@
 	if ($circo) $circos = "and id_circ=$id_circ" ; else $circos='';
 	if ($genere==0) $tab="ref"; else $tab="gruppo";
-	$res = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ",$dbi);
-	$numero=mysql_num_rows($res);
-	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
-	$sezioni=mysql_num_rows($res);
-	$res = mysql_query("select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' $circos ",$dbi);
-	$chiusa=mysql_num_rows($res);
+	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$numero=$res->rowCount();
+	$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sezioni=$res->rowCount();
+	$sql="select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$chiusa=$res->rowCount();
 	if ($numero!=0 and $chiusa==0) 
 	echo "<div><h2>"._SEZSCRU." $numero "._SU." $sezioni</h2></div>";
@@ -980,23 +1185,38 @@
 	
 	// tot liste
-		$res = mysql_query("SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons'  ", $dbi);
-    		$max = mysql_num_rows($res);
+		$sql="SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons'  ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+    		$max = $res->rowCount();
 		
 		// tot voti liste
-		$res_lista_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-		list($voti_lista_tutti) = mysql_fetch_row($res_lista_tutti);
-		
-    		$result = mysql_query("select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons'  ORDER BY num_lista  LIMIT $min,$offset", $dbi);
-		while(list($id_cons2,$id_lista,$id_gruppo, $num_lista, $descr_lista) = mysql_fetch_row($result)) {
+		$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+		$res_lista_tutti = $dbi->prepare("$sql");
+		$res_lista_tutti->execute();
+
+		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
+		
+		$sql="select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons'  ORDER BY num_lista  LIMIT $min,$offset";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
+
+		while(list($id_cons2,$id_lista,$id_gruppo, $num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM)) {
   			if ($num_lista!=0) {
 			// voti lista
-			$res_lista = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'", $dbi);
-			list($voti_lista) = mysql_fetch_row($res_lista);
+			$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'";
+			$res_lista = $dbi->prepare("$sql");
+			$res_lista->execute();
+
+			list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
 			if ($voti_lista_tutti!=0)
 			$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,2);
 		        else $perc_lista='';
 			// gruppo
-			$res_gruppo = mysql_query("select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-			list($descr_gruppo) = mysql_fetch_row($res_gruppo);
+			$sql="select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+			$res_gruppo = $dbi->prepare("$sql");
+			$res_gruppo->execute();
+
+			list($descr_gruppo) = $res_gruppo->fetch(PDO::FETCH_NUM);
 
 
@@ -1046,8 +1266,14 @@
 	if ($genere==0) {$tab="ref";}else{$tab="gruppo";}
 	if ($votog) {$tab="lista";}else{$tab="gruppo";}
-	$res = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ",$dbi);
-	$numero=mysql_num_rows($res);
-	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
-	$sezioni=mysql_num_rows($res);
+	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$numero=$res->rowCount();
+	$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sezioni=$res->rowCount();
 	if ($numero==0) $op="gruppo";
 	if ($numero==$sezioni) $op="graf_gruppo";
